# Class NextProtSequenceConservation

java.lang.Object
org.snpeff.nextProt.NextProtSequenceConservation

public class NextProtSequenceConservation extends Object
A simple analysis of sequence conservation for each entry type Why? Many NextProt annotations are only a few amino acids long (or only 1 AA) and often they only involve very specific sequences If the sequence is highly conserved and a non-synonymous mutation occurs, then this might be disruptive (i.e. HIGH IMPACT)

Author:
  Pablo Cingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HIGHLY_CONSERVED_AA_COUNT`
`static final double`
`HIGHLY_CONSERVED_AA_PERCENT`

## Constructor Summary

Constructors
Constructor
Description
`NextProtSequenceConservation()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String category, String aaSequence)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HIGHLY_CONSERVED_AA_PERCENT

public static final double HIGHLY_CONSERVED_AA_PERCENT

See Also:
  - Constant Field Values

### HIGHLY_CONSERVED_AA_COUNT

public static final int HIGHLY_CONSERVED_AA_COUNT

See Also:
  - Constant Field Values

## Constructor Details

### NextProtSequenceConservation

public NextProtSequenceConservation()

## Method Details

### add

public void add(String category, String aaSequence)